# PSF-LoginServer - master - net.psforever.packet.GamePacketOpcode
PSF - LoginServer - master - net.psforever.packet.GamePacketOpcode
Keywords: PSF LoginServer master net.psforever.packet.GamePacketOpcode

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package control
  Definition Classes
    packet
-  package crypto
  Definition Classes
    packet
-  package game
  Definition Classes
    packet
-  package reset
  Definition Classes
    packet
- ControlPacketOpcode
- CryptoPacketOpcode
- GamePacketOpcode
- Marshallable
- PacketCoding
- PacketHelpers
- PacketType
- PlanetSideControlPacket
- PlanetSideCryptoPacket
- PlanetSideGamePacket
- PlanetSidePacket
- PlanetSidePacketFlags
- PlanetSideResetSequencePacket
- ResetSequenceOpcode

o

net.psforever.packet

# GamePacketOpcode

###

#### object GamePacketOpcode extends Enumeration

The master list of Game packet opcodes that have been discovered in the PlanetSide client.

UnknownMessage* means that there, to the best of our knowledge, was no opcode of this value. This was double checked by extracting out the master case statement in PlanetsideComm::OnReceive and by parsing NetMessage RTTI.

Source
  GamePacketOpcode.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GamePacketOpcode
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AIDamage: Value
5.  val ActOfGodMessage: Value
6.  val ActionCancelAcknowledgeMessage: Value
7.  val ActionCancelMessage: Value
8.  val ActionProgressMessage: Value
9.  val ActionResultMessage: Value
10.  val AggravatedDamageMessage: Value
11.  val ArmorChangedMessage: Value
12.  val AudioSequenceMessage: Value
13.  val AvatarAwardMessage: Value
14.  val AvatarDeadStateMessage: Value
15.  val AvatarFirstTimeEventMessage: Value
16.  val AvatarGrenadeStateMessage: Value
17.  val AvatarImplantMessage: Value
18.  val AvatarJumpMessage: Value
19.  val AvatarSearchCriteriaMessage: Value
20.  val AvatarSearchResponse: Value
21.  val AvatarStatisticsMessage: Value
22.  val AvatarVehicleTimerMessage: Value
23.  val BattleExperienceMessage: Value
24.  val BattleplanMessage: Value
25.  val BeginZoningMessage: Value
26.  val BindPlayerMessage: Value
27.  val BroadcastWarpgateUpdateMessage: Value
28.  val BugReportMessage: Value
29.  val BuildingInfoUpdateMessage: Value
30.  val CSAssistCommentMessage: Value
31.  val CSAssistMessage: Value
32.  val CaptureFlagUpdateMessage: Value
33.  val CargoMountPointStatusMessage: Value
34.  val ChainLashMessage: Value
35.  val ChangeAmmoMessage: Value
36.  val ChangeFireModeMessage: Value
37.  val ChangeFireStateMessage_Start: Value
38.  val ChangeFireStateMessage_Stop: Value
39.  val ChangeShortcutBankMessage: Value
40.  val CharacterCreateRequestMessage: Value
41.  val CharacterInfoMessage: Value
42.  val CharacterKnowledgeMessage: Value
43.  val CharacterNoRecordMessage: Value
44.  val CharacterRequestMessage: Value
45.  val ChatMsg: Value
46.  val ChildObjectStateMessage: Value
47.  val ClientCheatedMessage: Value
48.  val ClockCalibrationMessage: Value
49.  val ComponentDamageMessage: Value
50.  val ConnectToWorldMessage: Value
51.  val ConnectToWorldRequestMessage: Value
52.  val ContinentalLockUpdateMessage: Value
53.  val CreateShortcutMessage: Value
54.  val DamageFeedbackMessage: Value
55.  val DamageMessage: Value
56.  val DamageWithPositionMessage: Value
57.  val DataChallengeMessage: Value
58.  val DataChallengeMessageResp: Value
59.  val DebugDrawMessage: Value
60.  val DelayedPathMountMsg: Value
61.  val DensityLevelUpdateMessage: Value
62.  val DeployObjectMessage: Value
63.  val DeployRequestMessage: Value
64.  val DeployableObjectsInfoMessage: Value
65.  val DestroyDisplayMessage: Value
66.  val DestroyMessage: Value
67.  val DisconnectMessage: Value
68.  val DismountBuildingMsg: Value
69.  val DismountVehicleCargoMsg: Value
70.  val DismountVehicleMsg: Value
71.  val DisplayedAwardMessage: Value
72.  val DropItemMessage: Value
73.  val DroppodFreefallingMessage: Value
74.  val DroppodLaunchRequestMessage: Value
75.  val DroppodLaunchResponseMessage: Value
76.  val EmoteMsg: Value
77.  val EmpireBenefitsMessage: Value
78.  val EmpireChangeTimeMessage: Value
79.  val EmpireIncentivesMessage: Value
80.  val ExperienceAddedMessage: Value
81.  val FacilityBenefitShieldChargeRequestMessage: Value
82.  val FavoritesMessage: Value
83.  val FavoritesRequest: Value
84.  val FavoritesResponse: Value
85.  val FireHintMessage: Value
86.  val ForceEmpireMessage: Value
87.  val FrameVehicleStateMessage: Value
88.  val FriendsRequest: Value
89.  val FriendsResponse: Value
90.  val GameScoreUpdateMessage: Value
91.  val GameVarUpdate: Value
92.  val GenericActionMessage: Value
93.  val GenericCollisionMsg: Value
94.  val GenericObjectAction2Message: Value
95.  val GenericObjectActionAtPositionMessage: Value
96.  val GenericObjectActionMessage: Value
97.  val GenericObjectStateMsg: Value
98.  val HackMessage: Value
99.  val HitHint: Value
100.  val HitMessage: Value
101.  val HotSpotUpdateMessage: Value
102.  val InvalidTerrainMessage: Value
103.  val InventoryStateMessage: Value
104.  val ItemTransactionMessage: Value
105.  val ItemTransactionResultMessage: Value
106.  val KeepAliveMessage: Value
107.  val LashMessage: Value
108.  val LinkDeadAwarenessMsg: Value
109.  val LoadMapMessage: Value
110.  val LoginMessage: Value
111.  val LoginRespMessage: Value
112.  val LongRangeProjectileInfoMessage: Value
113.  val LootItemMessage: Value
114.  val MailMessage: Value
115.  val MapObjectStateBlockMessage: Value
116.  val MissionActionMessage: Value
117.  val MissionKillTriggerMessage: Value
118.  val ModuleLimitsMessage: Value
119.  val MountVehicleCargoMsg: Value
120.  val MountVehicleMsg: Value
121.  val MoveItemMessage: Value
122.  val ObjectAttachMessage: Value
123.  val ObjectCreateMessage: Value
124.  val ObjectCreateMessage_Duplicate: Value
125.  val ObjectDeleteMessage: Value
126.  val ObjectDeployedCountMessage: Value
127.  val ObjectDeployedMessage: Value
128.  val ObjectDetachMessage: Value
129.  val ObjectDetectedMessage: Value
130.  val ObjectHeldMessage: Value
131.  val OffshoreVehicleMessage: Value
132.  val OrbitalShuttleTimeMsg: Value
133.  val OrbitalStrikeWaypointMessage: Value
134.  val OrderTerminalBugMessage: Value
135.  val OutfitBenefitMessage: Value
136.  val OutfitEvent: Value
137.  val OutfitListEvent: Value
138.  val OutfitMemberEvent: Value
139.  val OutfitMemberUpdate: Value
140.  val OutfitMembershipRequest: Value
141.  val OutfitMembershipResponse: Value
142.  val OutfitRequest: Value
143.  val OxygenStateMessage: Value
144.  val PickupItemMessage: Value
145.  val PingMsg: Value
146.  val PlanetsideAttributeMessage: Value
147.  val PlanetsideStringAttributeMessage: Value
148.  val PlatoonEvent: Value
149.  val PlayerStasisMessage: Value
150.  val PlayerStateMessage: Value
151.  val PlayerStateMessageUpstream: Value
152.  val PlayerStateShiftMessage: Value
153.  val ProjectileStateMessage: Value
154.  val PropertyOverrideMessage: Value
155.  val ProximityTerminalUseMessage: Value
156.  val QuantityDeltaUpdateMessage: Value
157.  val QuantityUpdateMessage: Value
158.  val QueueTimedHelpMessage: Value
159.  val RabbitUpdateMessage: Value
160.  val ReleaseAvatarRequestMessage: Value
161.  val ReloadMessage: Value
162.  val RepairMessage: Value
163.  val ReplicationStreamMessage: Value
164.  val RequestDestroyMessage: Value
165.  val RespawnAMSInfoMessage: Value
166.  val ServerVehicleOverrideMsg: Value
167.  val SetChatFilterMessage: Value
168.  val SetCurrentAvatarMessage: Value
169.  val SetEmpireMessage: Value
170.  val SimDataChallenge: Value
171.  val SimDataChallengeResp: Value
172.  val SnoopMsg: Value
173.  val SoulMarkMessage: Value
174.  val SpawnRequestMessage: Value
175.  val SplashHitMessage: Value
176.  val SquadBindInfoMessage: Value
177.  val SquadDefinitionActionMessage: Value
178.  val SquadDetailDefinitionUpdateMessage: Value
179.  val SquadFacilityBindInfoMessage: Value
180.  val SquadInvitationRequestMessage: Value
181.  val SquadMainTerminalMessage: Value
182.  val SquadMainTerminalResponseMessage: Value
183.  val SquadMemberEvent: Value
184.  val SquadMembershipRequest: Value
185.  val SquadMembershipResponse: Value
186.  val SquadOrderMessage: Value
187.  val SquadOrderResponse: Value
188.  val SquadState: Value
189.  val SquadWaypointEvent: Value
190.  val SquadWaypointRequest: Value
191.  val SyncMessage: Value
192.  val TacticsMessage: Value
193.  val TargetingImplantRequest: Value
194.  val TargetingInfoMessage: Value
195.  val TimeOfDayMessage: Value
196.  val TradeMessage: Value
197.  val TrainingZoneMessage: Value
198.  val TriggerBotAction: Value
199.  val TriggerEffectMessage: Value
200.  val TriggerEnvironmentalDamageMessage: Value
201.  val TriggerSoundMessage: Value
202.  val Unknown0: Value
203.  val UnknownMessage122: Value
204.  val UnknownMessage125: Value
205.  val UnknownMessage126: Value
206.  val UnknownMessage139: Value
207.  val UnknownMessage170: Value
208.  val UnknownMessage171: Value
209.  val UnknownMessage208: Value
210.  val UnknownMessage21: Value
211.  val UnknownMessage218: Value
212.  val UnknownMessage238: Value
213.  val UnknownMessage32: Value
214.  val UnknownMessage43: Value
215.  val UnknownMessage46: Value
216.  val UnknownMessage59: Value
217.  val UnknownMessage6: Value
218.  val UnknownMessage7: Value
219.  val UnknownMessage73: Value
220.  val UnknownMessage76: Value
221.  val UnknownMessage89: Value
222.  val UnuseItemMessage: Value
223.  val UplinkPositionEvent: Value
224.  val UplinkRequest: Value
225.  val UplinkResponse: Value
226.  val UseItemMessage: Value
227.  val VNLWorldStatusMessage: Value
228.  final def Value(i: Int, name: String): Value
     Attributes
       protected
     Definition Classes
       Enumeration
229.  final def Value(name: String): Value
     Attributes
       protected
     Definition Classes
       Enumeration
230.  final def Value(i: Int): Value
     Attributes
       protected
     Definition Classes
       Enumeration
231.  final def Value: Value
     Attributes
       protected
     Definition Classes
       Enumeration
232.  val VanuModuleUpdateMessage: Value
233.  val VehicleStateMessage: Value
234.  val VehicleSubStateMessage: Value
235.  val VoiceHostInfo: Value
236.  val VoiceHostKill: Value
237.  val VoiceHostRequest: Value
238.  val WarpgateLinkOverrideMessage: Value
239.  val WarpgateRequest: Value
240.  val WarpgateResponse: Value
241.  val WeaponDelayFireMessage: Value
242.  val WeaponDryFireMessage: Value
243.  val WeaponFireMessage: Value
244.  val WeaponJammedMessage: Value
245.  val WeaponLazeTargetPositionMessage: Value
246.  val WeatherMessage: Value
247.  val ZipLineMessage: Value
248.  val ZoneForcedCavernConnectionsMessage: Value
249.  val ZoneInfoMessage: Value
250.  val ZoneLockInfoMessage: Value
251.  val ZonePopulationUpdateMessage: Value
252.  final def apply(x: Int): Value
     Definition Classes
       Enumeration
253.  final def asInstanceOf[T0]: T0
     Definition Classes
       Any
254.  def clone(): AnyRef
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.CloneNotSupportedException]) @native()
255.  implicit val codec: Codec[Value]
256.  final def eq(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
257.  def equals(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef → Any
258.  def finalize(): Unit
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.Throwable])
259.  final def getClass(): Class[_ <: AnyRef]
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
260.  def getPacketDecoder(opcode: Type): (BitVector) => Attempt[DecodeResult[PlanetSideGamePacket]]
261.  def hashCode(): Int
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
262.  final def isInstanceOf[T0]: Boolean
     Definition Classes
       Any
263.  final def maxId: Int
     Definition Classes
       Enumeration
264.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
265.  var nextId: Int
     Attributes
       protected
     Definition Classes
       Enumeration
266.  var nextName: Iterator[String]
     Attributes
       protected
     Definition Classes
       Enumeration
267.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
268.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
269.  def readResolve(): AnyRef
     Attributes
       protected
     Definition Classes
       Enumeration
270.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
271.  def toString(): String
     Definition Classes
       Enumeration → AnyRef → Any
272.  def values: ValueSet
     Definition Classes
       Enumeration
273.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
274.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
275.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
276.  final def withName(s: String): Value
     Definition Classes
       Enumeration
277.  implicit object ValueOrdering extends Ordering[Value]
     Definition Classes
       Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped